## zopfli 1.0.1+git160119

=== Makefile ===
CC = gcc
CXX = g++

CFLAGS = -W -Wall -Wextra -ansi -pedantic -lm -O2
CXXFLAGS = -W -Wall -Wextra -ansi -pedantic -O2

ZOPFLILIB_SRC = src/zopfli/blocksplitter.c src/zopfli/cache.c\
                src/zopfli/deflate.c src/zopfli/gzip_container.c\
                src/zopfli/hash.c src/zopfli/katajainen.c\
                src/zopfli/lz77.c src/zopfli/squeeze.c\
                src/zopfli/tree.c src/zopfli/util.c\
                src/zopfli/zlib_container.c src/zopfli/zopfli_lib.c
ZOPFLILIB_OBJ := $(patsubst src/zopfli/%.c,%.o,$(ZOPFLILIB_SRC))
ZOPFLIBIN_SRC := src/zopfli/zopfli_bin.c
LODEPNG_SRC := src/zopflipng/lodepng/lodepng.cpp src/zopflipng/lodepng/lodepng_util.cpp
ZOPFLIPNGLIB_SRC := src/zopflipng/zopflipng_lib.cc
ZOPFLIPNGBIN_SRC := src/zopflipng/zopflipng_bin.cc

.PHONY: zopfli zopflipng

# Zopfli binary
zopfli:
	$(CC) $(ZOPFLILIB_SRC) $(ZOPFLIBIN_SRC) $(CFLAGS) -o zopfli

# Zopfli shared library
libzopfli:
	$(CC) $(ZOPFLILIB_SRC) $(CFLAGS) -fPIC -c
	$(CC) $(ZOPFLILIB_OBJ) $(CFLAGS) -shared -Wl,-soname,libzopfli.so.1 -o libzopfli.so.1.0.1

# ZopfliPNG binary
zopflipng:
	$(CC) $(ZOPFLILIB_SRC) $(CFLAGS) -c
	$(CXX) $(ZOPFLILIB_OBJ) $(LODEPNG_SRC) $(ZOPFLIPNGLIB_SRC) $(ZOPFLIPNGBIN_SRC) $(CFLAGS) -o zopflipng

# ZopfliPNG shared library
libzopflipng:
	$(CC) $(ZOPFLILIB_SRC) $(CFLAGS) -fPIC -c
	$(CXX) $(ZOPFLILIB_OBJ) $(LODEPNG_SRC) $(ZOPFLIPNGLIB_SRC) $(CFLAGS) -fPIC --shared -Wl,-soname,libzopflipng.so.1 -o libzopflipng.so.1.0.0

# Remove all libraries and binaries
clean:
	rm -f zopflipng zopfli $(ZOPFLILIB_OBJ) libzopfli*

## zopfli 0~git130414

=== debian/changelog ===
zopfli (0~git130414-1) unstable; urgency=low

  * Initial release (closes: #702170).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 03 Mar 2013 13:31:30 +0100

=== debian/control ===
Source: zopfli
Section: utils
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/zopfli/

Package: zopfli
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: zlib (gzip, deflate) compatible compressor
 Zopfli Compression Algorithm is a new zlib (gzip, deflate) compatible
 compressor. This compressor takes more time (~100x slower), but compresses
 around 5% better than zlib and better than any other zlib-compatible
 compressor we have found.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

override_dh_auto_configure:

%:
	dh  $@

.PHONY: override_dh_auto_configure

## zopfli 1.0.0

=== debian/changelog ===
zopfli (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 22 Dec 2013 01:20:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: zopfli
 Section: utils
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://code.google.com/p/zopfli/
 
 Package: zopfli

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_configure:

%:
	dh  $@

.PHONY: override_dh_auto_configure

## zopfli 1.0.1

=== debian/changelog ===
zopfli (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Update hardened_build.patch for this release.
  * Update project homepage and source location.
  * Update Standards-Version to 3.9.6 .

  [ Bart Martens <bartm@debian.org> ]
  * Add watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 22 Oct 2015 16:40:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.5
-Homepage: http://code.google.com/p/zopfli/
+Standards-Version: 3.9.6
+Homepage: https://github.com/google/zopfli
 
 Package: zopfli
 Architecture: any

## zopfli 1.0.1+git160119

=== debian/changelog ===
zopfli (1.0.1+git160119-1) unstable; urgency=low

  * Use git snapshot for open source and threading compatible CRC
    implementation in gzip_container.c (closes: #811471).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 19 Jan 2016 18:31:26 +0100

zopfli (1.0.1-3) unstable; urgency=low

  * Install all headers (closes: #810618).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 10 Jan 2016 15:51:59 +0100

zopfli (1.0.1-2) unstable; urgency=low

  * Build parallel.
  * Provide library packages (closes: #794232).
  * Add patch to build static library.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 23 Oct 2015 17:01:00 +0200

=== debian/control ===
--- 
+++ 
@@ -14,3 +14,27 @@
  compressor. This compressor takes more time (~100x slower), but compresses
  around 5% better than zlib and better than any other zlib-compatible
  compressor we have found.
+
+Package: libzopfli1
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: HTTP and WebDAV client library
+ Zopfli Compression Algorithm is a new zlib (gzip, deflate) compatible
+ compressor. This compressor takes more time (~100x slower), but compresses
+ around 5% better than zlib and better than any other zlib-compatible
+ compressor we have found.
+ .
+ This package contains the library for application programming with zopfli.
+
+Package: libzopfli-dev
+Section: libdevel
+Architecture: any
+Depends: ${misc:Depends}, libzopfli1 (= ${binary:Version})
+Description: Header and static library files for libzopfli1
+ Zopfli Compression Algorithm is a new zlib (gzip, deflate) compatible
+ compressor. This compressor takes more time (~100x slower), but compresses
+ around 5% better than zlib and better than any other zlib-compatible
+ compressor we have found.
+ .
+ This package contains the headers for libzopfli1.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,11 @@
 
 override_dh_auto_configure:
 
+override_dh_auto_build:
+	dh_auto_build
+	$(MAKE) libzopfli
+
 %:
-	dh  $@
+	dh  $@ --parallel
 
-.PHONY: override_dh_auto_configure
+.PHONY: override_dh_auto_configure override_dh_auto_build

## zopfli 1.0.1+git160527

=== debian/changelog ===
zopfli (1.0.1+git160527-1) unstable; urgency=low

  * Use newest git snapshot for latest lodepng and fixed png related bugs,
    including other fixes.
  * Apply patch "check for greyscale when small image uses palette"
    (closes: #862286).
  * Correct libzopfli1 short description (closes: #825746).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 11 May 2017 19:21:09 +0000

zopfli (1.0.1+git160119-2) unstable; urgency=low

  * Build and install zopflipng (closes: #861895).
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 05 May 2017 15:21:03 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/google/zopfli
 
 Package: zopfli
@@ -19,7 +19,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: HTTP and WebDAV client library
+Description: zlib (gzip, deflate) compatible compressor - shared library
  Zopfli Compression Algorithm is a new zlib (gzip, deflate) compatible
  compressor. This compressor takes more time (~100x slower), but compresses
  around 5% better than zlib and better than any other zlib-compatible

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,9 @@
 
 override_dh_auto_build:
 	dh_auto_build
+	$(MAKE) zopflipng
 	$(MAKE) libzopfli
+	$(MAKE) libzopflipng
 
 %:
 	dh  $@ --parallel

## zopfli 1.0.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 CC = gcc
 CXX = g++
 
-CFLAGS = -W -Wall -Wextra -ansi -pedantic -lm -O2
+CFLAGS = -W -Wall -Wextra -ansi -pedantic -lm -O2 -Wno-unused-function
 CXXFLAGS = -W -Wall -Wextra -ansi -pedantic -O2
 
 ZOPFLILIB_SRC = src/zopfli/blocksplitter.c src/zopfli/cache.c\
@@ -25,7 +25,7 @@
 # Zopfli shared library
 libzopfli:
 	$(CC) $(ZOPFLILIB_SRC) $(CFLAGS) -fPIC -c
-	$(CC) $(ZOPFLILIB_OBJ) $(CFLAGS) -shared -Wl,-soname,libzopfli.so.1 -o libzopfli.so.1.0.1
+	$(CC) $(ZOPFLILIB_OBJ) $(CFLAGS) -shared -Wl,-soname,libzopfli.so.1 -o libzopfli.so.1.0.2
 
 # ZopfliPNG binary
 zopflipng:
@@ -35,7 +35,7 @@
 # ZopfliPNG shared library
 libzopflipng:
 	$(CC) $(ZOPFLILIB_SRC) $(CFLAGS) -fPIC -c
-	$(CXX) $(ZOPFLILIB_OBJ) $(LODEPNG_SRC) $(ZOPFLIPNGLIB_SRC) $(CFLAGS) -fPIC --shared -Wl,-soname,libzopflipng.so.1 -o libzopflipng.so.1.0.0
+	$(CXX) $(ZOPFLILIB_OBJ) $(LODEPNG_SRC) $(ZOPFLIPNGLIB_SRC) $(CFLAGS) -fPIC --shared -Wl,-soname,libzopflipng.so.1 -o libzopflipng.so.1.0.2
 
 # Remove all libraries and binaries
 clean:

=== debian/changelog ===
zopfli (1.0.2-1~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 25 Mar 2019 11:52:52 -0700

zopfli (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Add zopflipng libraries (closes: #825879).
  * Update debhelper level to 11:
    - don't specify parallel to debhelper.
  * Update Standards-Version to 4.1.4 .

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Fix FTCBFS: Let dh_auto_build pass cross compilers (closes: #866903).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 24 May 2018 19:52:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: zopfli
 Section: utils
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.8
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 10)
+Standards-Version: 4.1.4
 Homepage: https://github.com/google/zopfli
 
 Package: zopfli

## zopfli 1.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

project(Zopfli)

# Check if Zopfli is the top-level project (standalone), or a subproject
set(zopfli_standalone FALSE)
get_directory_property(zopfli_parent_directory PARENT_DIRECTORY)
if(zopfli_parent_directory STREQUAL "")
  set(zopfli_standalone TRUE)
endif()
unset(zopfli_parent_directory)

#
# Options
#

# ZOPFLI_BUILD_SHARED controls if Zopfli libraries are built as shared or
# static
#
# It defaults to the value of BUILD_SHARED_LIBS if set, and in most cases
# that should be used instead. The purpose of ZOPFLI_BUILD_SHARED is to allow
# overriding it when built as a subproject.
set(zopfli_shared_default OFF)
if(DEFINED BUILD_SHARED_LIBS)
  set(zopfli_shared_default ${BUILD_SHARED_LIBS})
endif()
option(ZOPFLI_BUILD_SHARED "Build Zopfli with shared libraries" ${zopfli_shared_default})
unset(zopfli_shared_default)

# ZOPFLI_BUILD_INSTALL controls if Zopfli adds an install target to the build
#
# When built standalone or as a shared library subproject, the default is ON,
# and for static library subproject the default is OFF.
if(zopfli_standalone OR ZOPFLI_BUILD_SHARED)
  option(ZOPFLI_BUILD_INSTALL "Add Zopfli install target" ON)
else()
  option(ZOPFLI_BUILD_INSTALL "Add Zopfli install target" OFF)
endif()

# ZOPFLI_DEFAULT_RELEASE enables changing empty build type to Release
#
# Make based single-configuration generators default to an empty build type,
# which might be surprising, but could be useful if you want full control over
# compiler and linker flags. When ZOPFLI_DEFAULT_RELEASE is ON, change an
# empty default build type to Release.
option(ZOPFLI_DEFAULT_RELEASE "If CMAKE_BUILD_TYPE is empty, default to Release" ON)

if(zopfli_standalone AND ZOPFLI_DEFAULT_RELEASE)
  if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
    message(STATUS "CMAKE_BUILD_TYPE empty, defaulting to Release")
    set(CMAKE_BUILD_TYPE Release)
  endif()
endif()

#
# Library version
#
set(ZOPFLI_VERSION_MAJOR 1)
set(ZOPFLI_VERSION_MINOR 0)
set(ZOPFLI_VERSION_PATCH 3)
set(ZOPFLI_VERSION ${ZOPFLI_VERSION_MAJOR}.${ZOPFLI_VERSION_MINOR}.${ZOPFLI_VERSION_PATCH})

if(ZOPFLI_BUILD_SHARED)
  set(zopfli_library_type SHARED)
else()
  set(zopfli_library_type STATIC)
endif()

include(GNUInstallDirs)

#
# libzopfli
#
add_library(libzopfli ${zopfli_library_type}
  src/zopfli/blocksplitter.c
  src/zopfli/cache.c
  src/zopfli/deflate.c
  src/zopfli/gzip_container.c
  src/zopfli/hash.c
  src/zopfli/katajainen.c
  src/zopfli/lz77.c
  src/zopfli/squeeze.c
  src/zopfli/tree.c
  src/zopfli/util.c
  src/zopfli/zlib_container.c
  src/zopfli/zopfli_lib.c
)
target_include_directories(libzopfli
  INTERFACE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/zopfli>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)
set_target_properties(libzopfli PROPERTIES
  OUTPUT_NAME zopfli
  VERSION ${ZOPFLI_VERSION}
  SOVERSION ${ZOPFLI_VERSION_MAJOR}
)
if(UNIX AND NOT (BEOS OR HAIKU))
  target_link_libraries(libzopfli m)
endif()

#
# libzopflipng
#
add_library(libzopflipng ${zopfli_library_type}
  src/zopflipng/zopflipng_lib.cc
  src/zopflipng/lodepng/lodepng.cpp
  src/zopflipng/lodepng/lodepng_util.cpp
)
target_link_libraries(libzopflipng libzopfli)
target_include_directories(libzopflipng
  INTERFACE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/zopflipng>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)
set_target_properties(libzopflipng PROPERTIES
  OUTPUT_NAME zopflipng
  VERSION ${ZOPFLI_VERSION}
  SOVERSION ${ZOPFLI_VERSION_MAJOR}
)

# MSVC does not export symbols by default when building a DLL, this is a
# workaround for recent versions of CMake
if(MSVC AND ZOPFLI_BUILD_SHARED)
  if(CMAKE_VERSION VERSION_LESS 3.4)
    message(WARNING "Automatic export of all symbols to DLL not supported until CMake 3.4")
  else()
    set_target_properties(libzopfli PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS ON)
    set_target_properties(libzopflipng PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS ON)
  endif()
endif()

#
# zopfli
#
add_executable(zopfli src/zopfli/zopfli_bin.c)
target_link_libraries(zopfli libzopfli)
if(MSVC)
  target_compile_definitions(zopfli PRIVATE _CRT_SECURE_NO_WARNINGS)
endif()

#
# zopflipng
#
add_executable(zopflipng src/zopflipng/zopflipng_bin.cc)
target_link_libraries(zopflipng libzopflipng)
if(MSVC)
  target_compile_definitions(zopflipng PRIVATE _CRT_SECURE_NO_WARNINGS)
endif()

# Create aliases
#
# Makes targets available to projects using Zopfli as a subproject using the
# same names as in the config file package.
if(NOT CMAKE_VERSION VERSION_LESS 3.0)
  add_library(Zopfli::libzopfli ALIAS libzopfli)
  add_library(Zopfli::libzopflipng ALIAS libzopflipng)
  add_executable(Zopfli::zopfli ALIAS zopfli)
  add_executable(Zopfli::zopflipng ALIAS zopflipng)
endif()

#
# Install
#
if(ZOPFLI_BUILD_INSTALL)
  # Install binaries, libraries, and headers
  install(TARGETS libzopfli libzopflipng zopfli zopflipng
    EXPORT ZopfliTargets
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  )
  install(FILES src/zopfli/zopfli.h src/zopflipng/zopflipng_lib.h
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
  )

  # Install config file package
  #
  # This allows CMake based projects to use the installed libraries with
  # find_package(Zopfli).
  if(NOT CMAKE_VERSION VERSION_LESS 3.0)
    include(CMakePackageConfigHelpers)
    write_basic_package_version_file(${CMAKE_CURRENT_BINARY_DIR}/ZopfliConfigVersion.cmake
      VERSION ${ZOPFLI_VERSION}
      COMPATIBILITY SameMajorVersion
    )
    # Since we have no dependencies, use export file directly as config file
    install(EXPORT ZopfliTargets
      DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/Zopfli
      NAMESPACE Zopfli::
      FILE ZopfliConfig.cmake
    )
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ZopfliConfigVersion.cmake
      DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/Zopfli
    )
  endif()
endif()

=== debian/changelog ===
zopfli (1.0.3-3) unstable; urgency=medium

  * Add zopflipng_lib.h to the -dev package (closes: #1093463).
  * Update Standards-Version to 4.7.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 19 Jan 2025 08:43:52 +0100

zopfli (1.0.3-2) unstable; urgency=medium

  * Update watch file.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 06 Sep 2023 10:28:04 +0000

zopfli (1.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Update patches.
  * Update Standards-Version to 4.4.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 11 Dec 2019 19:16:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: zopfli
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.1.4
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Homepage: https://github.com/google/zopfli
 
 Package: zopfli

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,11 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	$(MAKE) zopflipng
-	$(MAKE) libzopfli
-	$(MAKE) libzopflipng
+	dh_auto_build -- zopflipng
+	dh_auto_build -- libzopfli
+	dh_auto_build -- libzopflipng
 
 %:
-	dh  $@ --parallel
+	dh  $@
 
 .PHONY: override_dh_auto_configure override_dh_auto_build
